| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | List of all members
IG.Num.NeuralApproximatorAForgeFakeDto Class Reference

A data transfer object (DTO) for the NeuralApproximatorAforge class. $A Igor Mar11; More...

Inheritance diagram for IG.Num.NeuralApproximatorAForgeFakeDto:
[legend]
Collaboration diagram for IG.Num.NeuralApproximatorAForgeFakeDto:
[legend]

## Public Member Functions
| NeuralApproximatorAForgeFakeDto ()
override NeuralApproximatorAforgeFake | CreateObject ()
Public Member Functions inherited from IG.Num.NeuralApproximatorDtoBase< Type >
| NeuralApproximatorDtoBase ()
void | SetRestoringInternalState (bool doRestore)
| Sets the flag indicating whether internal state of the (trained) neural network should be restored, if possible, when the contents of the current DTO (data transfer object) is copied to a neural approximator object. Default value of the flag is true. More...
bool | GetRestoringInternalState ()
| Returns a flag indicating whether internal state of the (trained) neural network should be restored, if possible, when the contents of the current DTO (data transfer object) is copied to a neural approximator object. Default value of the flag is true and can be changed by the SetRestoringInternalState() method. More...

## Protected Member Functions
override void | CopyFromPlain (INeuralApproximator obj)
override void | CopyToPlain (ref INeuralApproximator obj)
Protected Member Functions inherited from IG.Num.NeuralApproximatorDtoBase< Type >
bool | IsAppropriateType (INeuralApproximator obj)
| Returns true if the specified neural network approximator object is of a correct type, according to type indicated by the NeuralApproximatorType property, or false otherwise. More...
override void | CopyFromPlain (INeuralApproximator obj)
| Copies data from the specified neural approximator object to the current DTO (data transfer object). More...
override void | CopyToPlain (ref INeuralApproximator obj)
| Copies contents of the current DTO (data transfer object) to the specified neural approximator object. If it is indicated on that object that the internal neural network state has been stored to a file then this state is restored from that file, too. This enables saving of trained networks for future use. More...

## Additional Inherited Members
Public Attributes inherited from IG.Num.NeuralApproximatorDtoBase< Type >
int | InputLength
int | OutputLength
int | NumHiddenLayers
int[] | NumHiddenNeurons
string | NeuralApproximatorType
string | NetworkStateFilePath
string | NetworkStateRelativePath
double | LearningRate
double | SigmoidAlphaValue
double | Momentum
SampledDataSetDto | TrainingData
IndexListDto | VerificationIndices
int | MaxEpochs
int | EpochsInBundle
VectorDtoBase | ToleranceRms
| Tolerance over RMS error of output over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account. More...
VectorDtoBase | ToleranceRmsRelativeToRange
| Relative tolerances on RMS errors of outputs over training points, relative to the correspoinding ranges of output data. More...
double | ToleranceRmsRelativeToRangeScalar
| Scalar through which all components of the Relative tolerances on RMS errors of outputs can be set to the same value. More...
VectorDtoBase | ToleranceMax
| Tolerance on maximal error of output over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account. More...
VectorDtoBase | ToleranceMaxRelativeToRange
| Relative tolerances on max. abs. errors of outputs over training points, relative to the correspoinding ranges of output data. More...
double | ToleranceMaxRelativeToRangeScalar
| Scalar through which all components of the Relative tolerances on max. abs. errors of outputs can be set to the same value. More...
double | InputBoundsSafetyFactor
double | OutputBoundsSafetyFactor
BoundingBoxDtoBase | InputDataBounds
BoundingBoxDtoBase | OutputDataBounds
BoundingBoxDtoBase | InputNeuronsRange
BoundingBoxDtoBase | OutputNeuronsRange
bool | SaveConvergenceRms
VectorDtoBase[] | ConvergenceListRms
int[] | EpochNumbers
VectorDtoBase[] | ConvergenceErrorsTrainingRmsTable
VectorDtoBase[] | ConvergenceErrorsTrainingMaxTable
VectorDtoBase[] | ConvergenceErrorsVerificationRmsTable
VectorDtoBase[] | ConvergenceErrorsVerificationMaxTable
Properties inherited from IG.Num.NeuralApproximatorDtoBase< Type >
VectorDtoBase | ToleranceRMS`[get, set]`
| Variable with old name, which is kept here for compatibility of files that were created by serialization in previous versions of code. More...
int | OutputLevel`[get, set]`
| Level of information that is output to the console by some methods. More...

## Detailed Description

A data transfer object (DTO) for the NeuralApproximatorAforge class. $A Igor Mar11;

## Constructor & Destructor Documentation

IG.Num.NeuralApproximatorAForgeFakeDto.NeuralApproximatorAForgeFakeDto | ( |  | ) |
| inline

## Member Function Documentation

override NeuralApproximatorAforgeFake IG.Num.NeuralApproximatorAForgeFakeDto.CreateObject | ( |  | ) |
| inline

override void IG.Num.NeuralApproximatorAForgeFakeDto.CopyFromPlain | ( | INeuralApproximator | obj | ) |
| inline protected

override void IG.Num.NeuralApproximatorAForgeFakeDto.CopyToPlain | ( | ref INeuralApproximator | obj | ) |
| inline protected

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/SerializationDtoNeuralApproximator.cs